Bug 206907 - selects 'Sharp AR-161' for different printer
selects 'Sharp AR-161' for different printer
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update 214178
  Show dependency treegraph
Reported: 2006-09-17 21:23 EDT by Ben Konrath
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.7.35-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-09 12:13:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2006-09-17 21:23:07 EDT
Description of problem:

The wrong printer driver is automatically selected for my Samsung ML-2010.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Remove all printers.
2. Plug in Samsung ML-2010. 
3. Fire up system-config-printer and try to print a test page. Nothing happens.
4. Change driver from "Sharp AR-161 Foomatic/pxlmono" to "Samsung ML-1710   
5. Print test page again and it works.

Additional info:

* I noticed that the printer entry had "Added by HAL" in the description so this 
  might be a HAL problem.

* The ML-2010 wasn't in the list of printers. It would be nice if we could get 
  this added.

* The printer entry on linuxprinting.org [1] lists the splix driver as the 
  recommended one but I couldn't find it. Could this get added as well?  


1. http://linuxprinting.org/show_printer.cgi?recnum=Samsung-ML-2010
Comment 1 Ben Konrath 2006-10-24 13:46:31 EDT
I just installed FC-6 final and this still happens.
Comment 2 Tim Waugh 2006-10-25 07:03:58 EDT
Is it a USB printer?  What does this command say?:

lshal|grep 'printer\.'
Comment 3 Ben Konrath 2006-10-25 12:23:06 EDT
Yeah, it's a USB printer. Here's the output of that command:

% lshal|grep 'printer\.'
  printer.commandset = {'GDI'} (string list)
  printer.product = 'ML-2010'  (string)
  printer.vendor = 'Samsung'  (string)
  printer.physical_device =
'/org/freedesktop/Hal/devices/usb_device_4e8_326c_3A61BKEY806892J__if0'  (string)
  printer.device = '/dev/usb/lp0'  (string)
Comment 4 Tim Waugh 2006-10-25 12:44:18 EDT
Did you get a dialog box asking you to choose a driver when you first logged in?
Comment 5 Ben Konrath 2006-10-25 14:47:10 EDT
No, I didn't get a dialog box. The printer was automatically confiugred with the
"Sharp AR-161 Foomatic/pxlmono" driver.
Comment 6 Tim Waugh 2006-10-26 07:54:28 EDT
Please try this:

1. Unplug the printer.
2. Remove the queue using 'lpadmin -x ML_2010' (or whatever the queue is called)
as root
3. Plug the printer in and switch it on.

Does the same thing happen, or do you get a dialog box this time?
Comment 7 Ben Konrath 2006-10-27 13:05:58 EDT
The same thing happens, I don't get a dialog box.
Comment 8 Tim Waugh 2006-10-27 13:09:24 EDT
Very strange.  I have an HP DeskJet 990C here, and if I remove that from the
database (and remove the cache file) as if it's an unknown printer, I *do* get a
dialog box when I log in.

CCing ffesti, who wrote hal_lpadmin..
Comment 9 Ben Konrath 2006-10-27 13:52:10 EDT
That is a little strange. IMHO it would be better for the printer to be
automatically configured correctly without having to prompt the user. Perhaps
one of our printers is a special case -- just a guess though.
Comment 10 Florian Festi 2006-10-30 10:15:24 EST
Looks like an eggcups problem to me. 
Please use gconf-editor and have a look at the config item below
/system/printing/user_drivers. I guess eggcups saves all known printers there
and uses them if it doesn't know anything else.
Comment 11 Tim Waugh 2006-10-31 10:11:55 EST
In fact, for the record, what does this command say?

  gconftool-2 -R /system/printing
Comment 12 Victor Lorenz 2006-11-04 13:07:20 EST
Fedora core 6 (x86_64). Also having problem getting Samsung ML2010 to work.
Printer came with a CD that had Linux drivers(surprise!) and updated ones are
available on their website. I installed these so ML-2010 is in the list of
choices on adding printer. Still nothing prints. Can't get test page to print
aand apps send to printer but nothing happens (Jobs accumulate in queue). Will
try using ML- 1710
Comment 13 Ben Konrath 2006-11-04 21:10:41 EST
(In reply to comment #11)
> In fact, for the record, what does this command say?
>   gconftool-2 -R /system/printing

Nothing is printed out.

Comment 14 Tim Waugh 2006-11-06 07:47:57 EST
Victor: your problem is different to the one described in this bug report. 
Please open a separate bug report for it.  Thanks!
Comment 15 Tim Waugh 2006-11-06 08:13:11 EST
Fix is:

--- foomatic.py 3 Nov 2006 17:37:40 -0000       1.34
+++ foomatic.py 6 Nov 2006 13:07:28 -0000
@@ -792 +792 @@
-        elif self._auto_description.has_key(description):
+        elif description and self._auto_description.has_key(description):
Comment 16 Tim Waugh 2006-11-06 12:59:37 EST
Please try this test update when it gets pushed to the mirrors:


You will be able to update to this package using:

  yum --enablerepo=updates-testing update 'system-config-printer*'
Comment 17 Ben Konrath 2006-11-08 17:39:56 EST
(In reply to comment #16)
> Please try this test update when it gets pushed to the mirrors:

Ok, I just updated to:


I unplugged the printer and removed the printer entry in system-config-printer.
When I plugged the printer back in, I got a dialog asking me which printer
driver to use. I selected ML-1710 and clicked OK but the printer was not added
to the list in system-config-printer. Two issues here:

(1) I think the printer should be added to the list in system-config-printer
after it asks for the driver so that users can actually use it. 
(2) Is there any way for the correct driver to automatically selected without
prompting the user? 

Thanks for looking into this.
Comment 18 Tim Waugh 2006-11-09 06:50:34 EST
Thanks for testing.  The remaining issues are covered in other bug reports:

(1) This is covered in bug #214599 and bug #214619
(2) I've filed bug #214761 for this, and it is fixable.
Comment 19 Fedora Update System 2006-11-09 12:02:08 EST
Fixed in update: system-config-printer-0.7.35-1.fc6
Comment 20 Ben Konrath 2006-11-10 13:33:38 EST
Tim, thanks for all your hard work here! Ben

Note You need to log in before you can comment on or make changes to this bug.